#!/bin/bash

# multilib aktivieren in /etc/pacman.conf
sudo sed -i.bak '/^#\[multilib\]/,+1 s/^#//' /etc/pacman.conf
#	Für Noobs wie mich
#	- erstellt Sicherheitskopie pacman.conf.bak vor der Änderung
#	- sucht nach "[multilib]"
#	- bezieht die nächste Zeile mit ein
#	- Ersetzt ^# mit nüscht -> Kommentar  entfernt :-)

sudo pacman -Syu

# Install yay
if pacman -Q yay &>/dev/null; then
	echo "yay bereits installiert; fahre fort."
elif pacman -Si yay &>/dev/null; then
	echo "Installiere yay mit pacman ..."
	sudo pacman -S --needed yay
else
	sudo pacman -S --needed base-devel git
	echo "installiere yay via git ..."
	git clone https://aur.archlinux.org/yay.git
	cd yay
	makepkg -si
	cd ..
	rm -rf yay
fi

sudo pacman -S --needed \
    fish \
    vim \
    nvim \
	firefox \
	nextcloud-client \
	openssh \
	rclone \
	stow \
	cups \
	wine \
	wine-mono \
	wine-gecko \
	winetricks \
	thunderbird \
	ktouch \
	strawberry \
	ktorrent \
	python \
	python-pip \
	pipewire \
	pipewire-session-manager \
	qpwgraph \
	cifs-utils \
	opencode \
	rbw \
	extra/ttf-jetbrains-mono-nerd

# fish as standard terminal
chsh -s /usr/bin/fish
